# SH42 - Get shop shipping configuration

Call FrequencyRecommended usage: Every weekMaximum usage: Every hour

Endpoint: GET /api/shipping/configuration/shop
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `delivery_times` (array, required)
    Delivery time configurations per shipping type and zone

  - `delivery_times.delivery_time` (object)
    Delivery time range configuration

  - `delivery_times.delivery_time.earliest_days` (integer, required)
    Minimum number of delivery days

  - `delivery_times.delivery_time.latest_days` (integer, required)
    Maximum number of delivery days

  - `delivery_times.set_by` (string, required)
    Whether the delivery time was set by the shop or the operator
Enum: `"OPERATOR"`, `"SHOP"`

  - `delivery_times.shipping_type_code` (string, required)
    Shipping type code

  - `delivery_times.shipping_zone_code` (string, required)
    Shipping zone code

  - `last_updated_date` (string)
    Date of last shipping configuration update

  - `lead_time_to_ship` (object, required)
    Lead time to ship configuration

  - `lead_time_to_ship.default_value` (integer, required)
    Platform default lead time to ship in days

  - `lead_time_to_ship.shop_value` (integer, required)
    Shop-specific lead time to ship in days

  - `order_cut_off_times` (array, required)
    Order cut-off time configurations per shipping type

  - `order_cut_off_times.cut_off_time` (string, required)
    Order cut-off time

  - `order_cut_off_times.is_required` (boolean, required)
    Whether the cut-off time configuration is mandatory for the shop

  - `order_cut_off_times.set_by` (string, required)
    Whether the cut-off time was set by the shop, the operator, or is not needed
Enum: `"OPERATOR"`, `"SHOP"`, `"NOT_NEEDED"`

  - `order_cut_off_times.shipping_type_code` (string, required)
    Shipping type code

  - `order_free_shipping` (boolean, required)
    Whether free shipping is enabled for all orders

  - `shipping_paid_by_operator` (boolean, required)
    Whether the operator collects shipping charges on behalf of the shops

  - `shop_id` (string, required)
    Shop identifier

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

